=== debian/changelog ===
blazeblogger (1.0.0-2) unstable; urgency=low

  * Add patch debian/patches/perl_path

 -- Angel Abad <angelabad@gmail.com>  Mon, 07 Dec 2009 11:10:27 +0100

blazeblogger (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #553653)

 -- Angel Abad <angelabad@gmail.com>  Thu, 03 Dec 2009 13:09:28 +0100
