=== debian/control ===
Source: blazeblogger
Section: web
Priority: optional
Maintainer: Angel Abad <angelabad@gmail.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/blazeblogger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/blazeblogger.git
Homepage: http://blaze.blackened.cz/
DM-Upload-Allowed: yes

Package: blazeblogger
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: simple to use, command line based, content management system 
 Written in Perl as a cross-platform application and producing the
 static content without the need of database servers or server side
 scripting, it is literally a CMS without boundaries suitable for a
 wide variety of web presentations, from personal weblog to a project
 page or even a company presentation.
