=== debian/watch ===
version=3

http://code.google.com/p/blazeblogger/downloads/list \
  http://blazeblogger[.]googlecode[.]com/files/blazeblogger-([0-9.]+)[.]tar[.]gz
