=== debian/changelog ===
blazeblogger (1.2.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

  [ Angel Abad ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1 (no changes)
  * debian/control: Add Rules-Requires-Root: no
  * debian/patches/fix_bashcompletion_dir:
    Fix bash completion installation dir
  * debian/copyright:
    - Remove unused copyright section
    - Update debian/* years
  * Add debian/upstream/metadata
  * debian/control: Add :any to perl b-d-i
  * debian/watch: Remove file and add lintian override

 -- Angel Abad <angel@debian.org>  Mon, 07 Oct 2019 12:58:29 +0200

blazeblogger (1.2.0-3) unstable; urgency=low

  * Update my email address -> angel@debian.org
  * debian/control: Remove DM-Upload-Allowed
  * debian/watch: Update for code.google.com use
  * debian/copyright:
    - Update format to copyright-format 1.0
    - Fix typo in debian/* section
    - Update debian years
  * Bump Standards-Version to 3.9.3

 -- Angel Abad <angel@debian.org>  Mon, 05 Mar 2012 13:53:23 +0100

blazeblogger (1.2.0-2) unstable; urgency=low

  * debian/manpages: Remove file, install upstream manpage
  * debian/control: Update VCS- fields for anonscm use
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL
  * Bump debhelper compatibility level to 8
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 31 Aug 2011 14:41:36 +0200

blazeblogger (1.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/perl_path: Refresh patch
  * debian/copyright: Update copyright years
  * debian/gbp.conf: Add git-buildpackage configuration

 -- Angel Abad <angelabad@gmail.com>  Sun, 20 Feb 2011 15:09:04 +0100

blazeblogger (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Tue, 09 Nov 2010 23:39:02 +0100

blazeblogger (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Now upstream installs bash_completion file
    - debian/control: Remove bash-completion from B-D-I
    - debian/rules: Remove dh_bash-completion from dh_auto_install
    - debian/bash-completion: Remove file
  * debian/rules: Add config variable to install
  * debian/patches/do_not_install_upstream_docs: Remove install docs
    from upstream Makefile

 -- Angel Abad <angelabad@gmail.com>  Sat, 30 Oct 2010 12:55:30 +0200

blazeblogger (1.1.0-2) unstable; urgency=low

  * debian/docs: Add README file
  * debian/copyright:
    - Update copyright years
    - Update file specification
    - Update license information

 -- Angel Abad <angelabad@gmail.com>  Sun, 03 Oct 2010 13:53:10 +0200

blazeblogger (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #572340)
  * debian/patches/perl_path: Refresh patch
  * Install bash-completion file
  * debian/control: Add bash-completion to Build-Depends-Indep
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 29 Sep 2010 00:06:22 +0200

blazeblogger (1.0.0-5) unstable; urgency=low

  * debian/watch: Update for googlecode.debian.net

 -- Angel Abad <angelabad@gmail.com>  Sun, 11 Jul 2010 16:00:51 +0200

blazeblogger (1.0.0-4) unstable; urgency=low

  * debian/watch: Update for the new google code

 -- Angel Abad <angelabad@gmail.com>  Sat, 15 May 2010 20:00:11 +0200

blazeblogger (1.0.0-3) unstable; urgency=low

  * Update debian/copyright
  * Bump Standards-Version to 3.8.4 (no changes)
  * debian/control: Add perl in B-D-I for pod2man

 -- Angel Abad <angelabad@gmail.com>  Fri, 26 Mar 2010 12:54:24 +0100
