=== debian/control ===
Source: blazeblogger
Section: web
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl:any
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/blazeblogger
Vcs-Git: https://salsa.debian.org/debian/blazeblogger.git
Homepage: http://blaze.blackened.cz/

Package: blazeblogger
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: simple to use, command line based, content management system
 Written in Perl as a cross-platform application and producing the
 static content without the need of database servers or server side
 scripting, it is literally a CMS without boundaries suitable for a
 wide variety of web presentations, from personal weblog to a project
 page or even a company presentation.
